Page MenuHomePhabricator

Run MediaWiki tests on PHP 7
Closed, ResolvedPublic

Description

The following jobs also need PHP7 variants:

  • mediawiki-phpunit-*
  • mediawiki-parsertests-*
  • mediawiki-extensions-*

Event Timeline

Legoktm created this task.Sep 7 2016, 5:19 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 7 2016, 5:19 PM
hashar changed the task status from Open to Stalled.Sep 26 2016, 10:40 AM
hashar added a subscriber: hashar.

This is stalled until we get more capacity for CI.

Change 313223 had a related patch set uploaded (by Paladox):
Update the mediawiki core tests to also test against php7

https://gerrit.wikimedia.org/r/313223

hashar triaged this task as Low priority.Oct 11 2016, 10:23 AM
tstarling assigned this task to Legoktm.Sep 19 2017, 5:36 AM
tstarling added a subscriber: tstarling.

@Legoktm is taking this on next quarter.

Krinkle added a subscriber: Krinkle.EditedSep 21 2017, 12:48 AM

Note that our core unit tests are currently passing on PHP 7 at Travis CI: https://travis-ci.org/wikimedia/mediawiki

I will migrate the MediaWiki PHPUnit jobs from Nodepool to Docker. Since that is going to support Zend 5.5 and HHVM, it seems trivial to add Zend 7.0 to the mix. The migration of the existing jobs should be a goal of releng next quarter.

Change 313223 abandoned by Paladox:
Update the mediawiki core tests to also test against php7

https://gerrit.wikimedia.org/r/313223

Krinkle removed a subscriber: Krinkle.Jan 23 2018, 1:01 AM

Change 413964 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[integration/config@master] Run mwext-testextension-php70-jessie-non-voting for most extensions

https://gerrit.wikimedia.org/r/413964

Change 413964 merged by jenkins-bot:
[integration/config@master] Run mwext-testextension-php70-jessie-non-voting for most extensions

https://gerrit.wikimedia.org/r/413964

Change 417343 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[integration/config@master] Run MediaWiki tests against PHP 7.0 as voting

https://gerrit.wikimedia.org/r/417343

Change 417343 merged by jenkins-bot:
[integration/config@master] Run MediaWiki tests against PHP 7.0 as voting

https://gerrit.wikimedia.org/r/417343